package ru.micropi.pi4j.dhtxx.tests;

import ru.micropi.pi4j.dhtxx.DHT11;
import ru.micropi.pi4j.dhtxx.DHTxx;

import com.pi4j.io.gpio.OrangePiPin;

public class DHT11Test {

  private static final int DHT_WAIT_INTERVAL = 2000;

  public static void main(String[] args) {
    DHTxx dht11 = new DHT11(OrangePiPin.GPIO_07);
    System.out.println(dht11);
    try {
      dht11.init();
      for (int i = 0; i < 10; i++) {
        try {
          System.out.println(dht11.getData());
          Thread.sleep(DHT_WAIT_INTERVAL);
        } catch (Exception e) {
          e.printStackTrace();
        }
      }
    } catch (Exception e1) {
      e1.printStackTrace();
    }
  }
}
